Subject: bug#33007: 27.0.50; Proposal for function to edit and return string

From: Juri Linkov <[email-masked]>
Date: Tue, 26 Apr 2022 18:39:23 +0300

>> Also it would be nicer to pop up its buffer under the current window
>> (need to play with display-buffer parameters), and a good example
>> is display-buffer-below-selected (e.g. as used in dired-mark-pop-up).
>
> I see that that function has only a single usage in Emacs, and after
> reading half the doc string, I can see why.
>
> If we want to use something like that more in Emacs, somebody should
> write a function with a simpler interface.

The most important thing is that it should support customization
with display-buffer-alist: in Org mode it was impossible to
customize the location of Org popup windows because
display-buffer-alist was ignored in org-no-popups,
but now I see this limitation was removed recently.